Package org.eclipse.birt.core.framework.osgi

# Class OSGILauncher

java.lang.Object
org.eclipse.birt.core.framework.PlatformLauncher
org.eclipse.birt.core.framework.osgi.OSGILauncher

public class OSGILauncher extends PlatformLauncher

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`OSGILauncher.ChildFirstURLClassLoader`
The ChildFirstURLClassLoader alters regular ClassLoader delegation and will check the URLs used in its initialization for matching classes before delegating to it's parent.

## Constructor Summary

Constructors
Constructor
Description
`OSGILauncher()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`findMax(String[] candidates)`
`ClassLoader`
`getFrameworkContextClassLoader()`
`static boolean`
`isValidPlatform(PlatformFileContext context)`
`protected String`
`searchFor(String target, String start)`
Searches for the given target directory starting in the "plugins" subdirectory of the given location.
`protected void`
`setupSecurityPolicy()`
`void`
`shutdown()`
`void`
`startup(PlatformConfig config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OSGILauncher

public OSGILauncher()

## Method Details

### startup

public void startup(PlatformConfig config) throws FrameworkException

Specified by:
  `startup` in class `PlatformLauncher`
Throws:
  `FrameworkException`

### getFrameworkContextClassLoader

public ClassLoader getFrameworkContextClassLoader()

### shutdown

public void shutdown()

Specified by:
  `shutdown` in class `PlatformLauncher`

### searchFor

protected String searchFor(String target, String start)
Searches for the given target directory starting in the "plugins" subdirectory of the given location. If one is found then this location is returned; otherwise an exception is thrown.

Parameters:
  `target` -
  `start` - the location to begin searching
Returns:
  the location where target directory was found

### findMax

protected int findMax(String[] candidates)

### setupSecurityPolicy

protected void setupSecurityPolicy() throws FrameworkException

Throws:
  `FrameworkException`

### isValidPlatform

public static boolean isValidPlatform(PlatformFileContext context)